<?
	
	$rootpath = '../';
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	if($game==0 OR $level==0 OR $ban!=0){

		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';

}else{
	if($lvl_hero>=16){
	switch ($act) {
	default:
	echo "<title>Экспедиции</title>";
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">"; 
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><b>Экспедиции</b></div>';
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><img src="../images/icon/menu.png" alt="" /> <a href="?act=art"><b>Артефакты</b></a></div></center>';
	echo '<div class="razd"></div>';
	echo '<center><div class="window"><b>Провести экспедицию</b></div></center>';
	echo '<div class="razd"></div>';
	$PAGINGS = mysql_query("SELECT * FROM `sector_loc` WHERE `uid` = '".$use_id."' AND `loc`=6 ORDER BY `id` DESC");
	if($PAGINGS > 0)
	{
		echo '<center><div class="window"><b>Вам нужно исследовать один из кораблей с помощью любого вашего отряда</b></div></center>';
		while($row = mysql_fetch_array($PAGINGS))
		{
	echo '<div class="ch"><table cellspacing="0"><tr><td><img class="igame" src="../images/space/zellnaga.jpg" /> </td><td class="trest">Корабль Зелл-Нага<br/><a href="sector.php?x='.$row['x'].'&amp;y='.$row['y'].'">Расположение:</a> x:'.$row['x'].' y:'.$row['y'].'</td></tr></table></div>';
	}

	}
	
	else
	{
				div('<b>Вы не можете провести экспедицию так как в окрестностях ваших планет нет древних кораблей</b>','blok');
	}
	break;
	
	case 'art':
	echo "<title>Артефакты</title>";
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">"; 
	echo '<div class="blok"><b>Артефакты</b></div>';
		$PAGINGS = mysql_query("SELECT * FROM `art` WHERE `uid` = '".$use_id."' ORDER BY `id` DESC");
	if($PAGINGS > 0)
	{

		while($row = mysql_fetch_array($PAGINGS))
	{
	$h = mysql_query("SELECT * FROM `planet` WHERE `id`='".$row['planet']."'");
	$p = mysql_fetch_array($h);
	echo '<div class="ch"><table cellspacing="0"><tr><td>
	</td>
	<td class="trest">';
	if($row['isl']==0)echo 'Неисследованный артефакт<br/><a href="?act=isl&amp;art='.$row['id'].'">Исследовать</a>';
	if($row['isl']==1)echo ''.art($row['type'], $row['lvl']).'<br/>'.iart($row['type'], $row['lvl']).'';
	if($row['isl']==1 AND $row['act']==0)echo ' [<a href="?act=activate&amp;art='.$row['id'].'">активировать</a>]';
	echo '<br/>Планета: <a href="planet.php?act=pl&amp;p='.$p['id'].'">'.$p['name'].'</a><br/>';
	echo '</td></tr></table></div>';
	}

	}
	
	else
	
	{
				div('<b>Вы еще не нашли ниодного артефакта</b>','blok');
	}
	echo '<div class="blok"><a href="exp.php"><b>Назад</b></a></div>';
	break;
	case 'isl':
	$art=$_GET['art'];
	$q = mysql_query("SELECT * FROM `art` WHERE `id`='".check(mysql_real_escape_string($art))."'");
	$a = mysql_fetch_array($q);
	$h = mysql_query("SELECT * FROM `planet` WHERE `id`='".$a['planet']."'");
	$p = mysql_fetch_array($h);
	$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `rabota` WHERE `typerab`=10 AND `planet`='".$p['id']."' AND `type`='".$a['id']."';"), 0);
	if($a['uid']==$use_id AND $a['uid']!=''){
	echo '<div class="blok"><b>Неизвестный артефакт</b></div><div class="ch">';
	if($count!=0){echo 'Артефакт уже на исследовании<br/>';}else{
	
	if(!$_POST)
{

echo '<form action="" method="POST">'.rab($rasa).' (100-500): <br /><input type="text" value="" name="number" /> <input type="submit" name="submit" value="Исследовать"/></form>';
}
else
{
$number2 = check(trim($_POST['number']));
$error = false;


if (empty($number2))
$error = $error . 'Не введено число рабочих <br/>';
elseif (preg_match('/[^\d_]+/',$number2))
$error = $error . 'Недопустимые символы<br />';
elseif ($number2<100 OR $number2>500)
$error = $error . 'Над исследованием может работать от 100 до 500 рабочих<br />';
elseif ($number2>$p['rab'])
$error = $error . 'У вас нет столько рабочих<br />';

if (empty($error))
{
$timerab=$realtime+(21600-($number2*36));

echo 'Начато исследование неизвестного артефакта!<br/> <img src="../images/time.gif" alt="image" /> Работа будет завершена '.dates($timerab).'<br/>';
mysql_query("UPDATE `planet` SET
			`rab`=rab-$number2 WHERE `id` = '".$p['id']."';");
mysql_query("INSERT INTO `rabota` SET
			`uid`='".$use_id."',
			`planet`='".$p['id']."',
			`name_planet`='".$p['name']."',
			`rasa`='".$rasa."',
			`rab`='".$number2."',
			`typerab`=10,
			`type`='".$a['id']."',
			`time`=$timerab;");
}else{
echo ''.$error.'';
}}}
echo '<a href="exp.php?act=art"><b>Назад</b></a></div>';}
	break;
		case 'activate':
	$art=$_GET['art'];
	$q = mysql_query("SELECT * FROM `art` WHERE `id`='".check(mysql_real_escape_string($art))."'");
	$a = mysql_fetch_array($q);
	$h = mysql_query("SELECT * FROM `planet` WHERE `id`='".$a['planet']."'");
	$p = mysql_fetch_array($h);
	if($a['uid']==$use_id AND $a['uid']!='' AND $a['act']==0){
	echo '<div class="top">'.art($a['type'], $a['lvl']).'</div><div class="conts">';
	echo 'Артефакт успешно активирован! Вы получаете '.iart($a['type'], $a['lvl']).'';
	if($a['type']>=4 AND $a['type']<=7)echo ' на планете <a href="planet.php?act=pl&amp;p='.$p['id'].'">'.$p['name'].'</a>';
	if($a['type']==1)mysql_query("UPDATE `units` SET `r1`=r1+'".$a['lvl']."', `r2`=r2+'".$a['lvl']."', `r3`=r3+'".$a['lvl']."', `r4`=r4+'".$a['lvl']."' WHERE `uid`='".$use_id."';");
	if($a['type']==2)mysql_query("UPDATE `units` SET `r5`=r5+'".$a['lvl']."', `r6`=r6+'".$a['lvl']."', `r7`=r7+'".$a['lvl']."' WHERE `uid`='".$use_id."';");
	if($a['type']==3)mysql_query("UPDATE `units` SET `r8`=r8+'".$a['lvl']."', `r9`=r9+'".$a['lvl']."', `r10`=r10+'".$a['lvl']."', `r11`=r11+'".$a['lvl']."', `r12`=r12+'".$a['lvl']."' WHERE `uid`='".$use_id."';");
	if($a['type']==4)mysql_query("UPDATE `science` SET `s3`=s3+'".$a['lvl']."' WHERE `planet_id`='".$a['planet']."';");
	if($a['type']==5)mysql_query("UPDATE `science` SET `s2`=s2+'".$a['lvl']."' WHERE `planet_id`='".$a['planet']."';");
	if($a['type']==6)mysql_query("UPDATE `science` SET `s4`=s4+'".$a['lvl']."' WHERE `planet_id`='".$a['planet']."';");
	if($a['type']==7)mysql_query("UPDATE `science` SET `s5`=s5+'".$a['lvl']."' WHERE `planet_id`='".$a['planet']."';");
	if($a['type']==8)mysql_query("UPDATE `users` SET `min`=min+'".($a['lvl']*10000)."' WHERE `id`='".$use_id."';");
	if($a['type']==9)mysql_query("UPDATE `users` SET `metall`=metall+'".($a['lvl']*10000)."' WHERE `id`='".$use_id."';");
	if($a['type']==10)mysql_query("UPDATE `users` SET `gas`=gas+'".($a['lvl']*10000)."' WHERE `id`='".$use_id."';");
	
	mysql_query("UPDATE `art` SET `act`=1 WHERE `id`='".$a['id']."';");
	echo '<br/><a href="exp.php?act=art"><<Назад</a></div>';
	}
		break;
		
	}}else{
	echo "<title>Экспедиции</title>";
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">"; 
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><b>Экспедиции</b></div>';
	echo '<div class="razd"></div>';
	echo '<center><div class="window"><b>Экспедиции доступны с <font color="#4EEE94">[16]</font> уровня героя!</b></div></center>';
	
	
	}
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>